Bug 604501 - Review Request: gtk-chtheme - Gtk+ 2.0 theme preview and selection made slick
Review Request: gtk-chtheme - Gtk+ 2.0 theme preview and selection made slick
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: gtk-chtheme (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 00:56 EDT by Germán Racca
Modified: 2012-04-14 13:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: gtk-chtheme-0.3.1-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 17:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2010-06-16 00:56:53 EDT
Spec URL: http://sites.google.com/site/gracca/gtk-chtheme.spec

SRPM URL: http://sites.google.com/site/gracca/gtk-chtheme-0.3.1-3.fc13.src.rpm

Description:
As the name suggests, this little program lets you change your Gtk+ 2.0 theme.
The aim is to make theme preview and selection as slick as possible. Themes
installed on the system are presented for selection and previewed on the fly.
A large variety of widgets provides a comprehensive demonstration.

$ rpmlint SPECS/gtk-chtheme.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/gtk-chtheme-0.3.1-3.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/i686/gtk-chtheme-0.3.1-3.fc13.i686.rpm 
gtk-chtheme.i686: W: unstripped-binary-or-object /usr/bin/gtk-chtheme
gtk-chtheme.i686: W: spurious-executable-perm /usr/share/man/man1/gtk-chtheme.1.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fabian, you said in Bug 541724 that it is not necessary to change the attribute of the man file, so I didn't changed it.
Comment 1 Terje Røsten 2010-06-16 06:31:50 EDT
Please fix exec bits on man page, no reason not to fix that.

desktop file has  Icon=style , however no style image is shipped.
Comment 2 Germán Racca 2010-06-17 03:18:53 EDT
OK, both issues fixed. Please find updated files here:

Spec URL: http://sites.google.com/site/gracca/gtk-chtheme.spec

SRPM URL: http://sites.google.com/site/gracca/gtk-chtheme-0.3.1-4.fc13.src.rpm

Cheers,
German.
Comment 3 Fabian Affolter 2010-06-17 14:43:02 EDT
*** Bug 541724 has been marked as a duplicate of this bug. ***
Comment 4 Germán Racca 2010-06-28 18:15:09 EDT
Files moved to fedorapeople.org:

Spec URL: http://skytux.fedorapeople.org/packages/gtk-chtheme.spec

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-chtheme-0.3.1-4.fc13.src.rpm
Comment 5 Terje Røsten 2010-07-11 05:48:57 EDT
ok rpmlint
ok named and versioned according to the Package Naming Guidelines
ok spec file name matches base package name
ok license : GPLv2+ tag correct and all files with license info
ok COPYING packaged as %doc
ok source matches upstream:
     dbea31f4092877e786fe040fae1374238fada94a  gtk-chtheme-0.3.1.tar.bz2
     dbea31f4092877e786fe040fae1374238fada94a  gtk-chtheme-0.3.1.tar.bz2.1
!  builds in koji: something is wrong here, might be missing #include, 
   please have a look. Ref:
     http://koji.fedoraproject.org/koji/taskinfo?taskID=2310790
     http://koji.fedoraproject.org/koji/getfile?taskID=2310792&name=build.log
ok no missing BuildRequires (builds in mock)
ok no translations, so translation/locale guidelines don't apply
ok no shared libraries, so no ldconfig calls neeed
ok no duplicated system libraries
ok package not relocatable
ok directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories)
ok no duplicate files in %files
!  permissions correct, defattr used correctly
     please drop %attr on man page, change to correct mode in %install. 
     %attr is for special cases.
ok macros
ok no non-code content
ok no large documentation files, so no -doc package needed
ok no %doc files required at runtime
ok no header files which would need to be in a -devel subpackage
ok no static libraries, so no -static package needed
ok no devel symlinks which would need to be in a -devel subpackage
ok no -devel package,
ok no .la files
ok .desktop file
ok desktop-file-validate is used in %install and the .desktop file passes validation
ok all filenames are valid UTF-8
ok complies with the FHS
  ok proper changelog, tags, BuildRoot, BuildRequires, Summary, Description
  ok no macros in Summary and Description
  ok no non-UTF-8 characters
  ok all relevant documentation included as %doc
  ok RPM_OPT_FLAGS are used (%cmake macro)
  ok debuginfo package is valid
  ok no rpaths
  ok no configuration files, so %config guideline doesn't apply
  ok no init scripts, so init script guideline doesn't apply
  ok no timestamp-clobbering file commands
  ok _smp_mflags used
  ok not a web application, so web application guideline doesn't apply
  ok no conflicts


Please have a look on items marked with ! .
Comment 6 Germán Racca 2010-07-13 22:06:27 EDT
Hello Terje:

Thanks for the full review! But I can't find what is the problem in the build for F-14. For F-12 and F-13 it builds fine. With respect to the man page, no problem, I'll correct it, but please can you give me some hints about the build error?

Regards,
German.
Comment 7 Terje Røsten 2010-07-14 04:54:48 EDT
Seems like a change in GTK is the problem, I added a patch and it built fine:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=2318320

spec: http://terjeros.fedorapeople.org/gtk-chtheme/gtk-chtheme.spec
srpm: http://terjeros.fedorapeople.org/gtk-chtheme/gtk-chtheme-0.3.1-5.fc12.src.rpm

Note: only built, not tested.
Comment 8 Terje Røsten 2010-07-14 05:00:03 EDT
Forgot: patch might work on all active Fedora releases, no special cace for F-14 needed.
Comment 9 Germán Racca 2010-07-15 14:35:12 EDT
(In reply to comment #7)
> Seems like a change in GTK is the problem, I added a patch and it built fine:
> 
>  http://koji.fedoraproject.org/koji/taskinfo?taskID=2318320
> 
> spec: http://terjeros.fedorapeople.org/gtk-chtheme/gtk-chtheme.spec
> srpm:
> http://terjeros.fedorapeople.org/gtk-chtheme/gtk-chtheme-0.3.1-5.fc12.src.rpm
> 
> Note: only built, not tested.    

Hello Terje:

Many thanks for your help with the patch! I also have corrected the permission of the man page in the right way. I've tested it under FC13 and works fine.

Koji builds from scratch:

dist-f12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2322311
dist-f13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2322367
dist-rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2322382

$ rpmlint rpmbuild/{SPECS,SRPMS,RPMS/i686}/gtk-chtheme*
gtk-chtheme.i686: W: unstripped-binary-or-object /usr/bin/gtk-chtheme
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Please find the updated files here:

Spec: http://skytux.fedorapeople.org/packages/gtk-chtheme.spec
SRPM: http://skytux.fedorapeople.org/packages/gtk-chtheme-0.3.1-6.fc13.src.rpm

Regards,
German.
Comment 10 Terje Røsten 2010-07-15 18:49:42 EDT
Thanks, all is good.

 The package gtk-chtheme is APPROVED.
Comment 11 Germán Racca 2010-07-15 19:15:10 EDT
(In reply to comment #10)
> Thanks, all is good.
> 
>  The package gtk-chtheme is APPROVED.    

Thank you very much for the review Terje!
Comment 12 Germán Racca 2010-07-15 19:18:45 EDT
New Package CVS Request
=======================
Package Name: gtk-chtheme
Short Description: Gtk+ 2.0 theme preview and selection made slick
Owners: skytux
Branches: F-12 F-13
InitialCC:
Comment 13 Kevin Fenzi 2010-07-16 13:30:02 EDT
CVS done (by process-cvs-requests.py).
Comment 14 Fedora Update System 2010-07-16 16:40:58 EDT
gtk-chtheme-0.3.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gtk-chtheme-0.3.1-6.fc12
Comment 15 Fedora Update System 2010-07-16 16:46:47 EDT
gtk-chtheme-0.3.1-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtk-chtheme-0.3.1-6.fc13
Comment 16 Fedora Update System 2010-08-05 19:34:30 EDT
gtk-chtheme-0.3.1-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-08-05 19:53:24 EDT
gtk-chtheme-0.3.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Germán Racca 2012-02-29 08:05:45 EST
Package Change Request
======================
Package Name: gtk-chtheme
New Branches: el6
Owners: splinux skytux

I'm authorizing the user splinux to co-maintain this epel branch for gtk-chtheme.
Comment 19 Gwyn Ciesla 2012-02-29 08:22:51 EST
Git done (by process-git-requests).
Comment 20 Fedora Update System 2012-03-30 04:30:16 EDT
gtk-chtheme-0.3.1-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gtk-chtheme-0.3.1-11.el6
Comment 21 Fedora Update System 2012-04-14 13:58:36 EDT
gtk-chtheme-0.3.1-11.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.